> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new pipeline

> The pipeline name is omitted from the path; it must be included in the definition in the request body



## OpenAPI

````yaml /api-reference/4.2/service-query-pipelines.json post /query-pipelines
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service query-pipelines
servers:
  - url: /api/apollo/
security: []
tags:
  - name: query-pipelines
paths:
  /query-pipelines:
    post:
      tags:
        - 4.2 Query Pipelines API
      summary: Create a new pipeline
      description: >-
        The pipeline name is omitted from the path; it must be included in the
        definition in the request body
      operationId: createPipeline
      requestBody:
        $ref: '#/components/requestBodies/QueryPipelineDefinition'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PipelineDefinitionObject'
components:
  requestBodies:
    QueryPipelineDefinition:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/QueryPipelineDefinition'
  schemas:
    PipelineDefinitionObject:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        stages:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/StageConfig'
        properties:
          type: object
          readOnly: true
          additionalProperties:
            type: string
    QueryPipelineDefinition:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        stages:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/StageConfig'
        properties:
          type: object
          readOnly: true
          additionalProperties:
            type: string
    StageConfig:
      type: object
      properties:
        type:
          type: string
          readOnly: true
        id:
          type: string
          readOnly: true
        skip:
          type: boolean
          default: false
        label:
          type: string
        condition:
          type: string

````